#pragma once

#include "CoreMinimal.h"
#include "ExecuteActionOnEventBaseStrategy.h"
#include "GameplayTagContainer.h"
#include "ExecuteActionOnEventTargetHasGameplayTag.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UExecuteActionOnEventTargetHasGameplayTag : public UExecuteActionOnEventBaseStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _gameplayModifierFlag;

public:
	UExecuteActionOnEventTargetHasGameplayTag();
};

FORCEINLINE uint32 GetTypeHash(const UExecuteActionOnEventTargetHasGameplayTag) { return 0; }
